<?php
namespace Civi\Updaterecur;

/**
 * Exception thrown when the underlying data cannot be updated correctly by this extension.
 *
 * e.g. a template contribution with multiple line items.
 */
class CannotUpdateRecordsException extends \UnexpectedValueException {

  /**
   * The log of anything that sucessfully happened before the exception.
   */
  public string $htmlLog;

  /**
   */
  public function __construct(string $errorMessage, string $htmlLog = '') {
    $this->htmlLog = $htmlLog;
    parent::__construct($errorMessage);
  }

}
